jQuery( document ).ready( function( $ ) {
	
	$("#generate_return_label").click(function( event ){

		event.preventDefault();

		var tableData;

		tableData  = `<table class='ph_ups_label_forwarding'><tr><th>Select the UPS Label Type</th></tr>`;

		jQuery( function(e) {

			order_id = $('#ups_order_id').val();
			service=jQuery("#return_label_service").val();
			if(service !== '' ){

				jQuery( tableData ).dialog({

					title: "PH UPS Return Label Type addon",
					dialogClass: "ph-no-close",
					modal: true,
					buttons: [
					{
						id: "Forward",
						text: "Forward",
						class: "ph-buttons",
						click: function () {

							var data = {
								'action': 'ph_ups_label_type',
								'label_type': 'forward',
								'order_id': order_id,
							};

							jQuery.post(ajaxurl, data, function(response) {

								response = JSON.parse(response);
								if( response == true ){
									location.href = href;
								}
							});
							$(this).dialog('close');
						}
					},
					{
						id: "Return",
						text: "Return",
						class: "ph-buttons",
						click: function () {

							var data = {
								'action': 'ph_ups_label_type',
								'label_type': 'return',
								'order_id': order_id,
							};

							jQuery.post(ajaxurl, data, function(response) {

								response = JSON.parse(response);
								if( response == true ){
									location.href = href;
								}
							});

							$(this).dialog('close');
						}
					},
					{
						id: "Cancel",
						text: "Cancel",
						class: "ph-buttons",
						click: function () {

							$(this).dialog('close');
						}
					}
					]
				});
			}
		});
	});
});